# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "equitrac/utilities/version"

Gem::Specification.new do |spec|
  spec.name          = "equitrac-utilities"
  spec.version       = Equitrac::Utilities::VERSION
  spec.authors       = ["Elliott Hebert", "Bill Tihen"]
  spec.email         = ["ehebert@las.ch", "btihen@gmail.com", "btihen@las.ch"]

  spec.summary       = "A gem to interact with equitrac 5.6"
  spec.description   = "equitrac"
  spec.homepage      = "https://github.com/las-it/equitrac-utilities"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "net-ssh", "~> 4.0"

  spec.add_development_dependency 'codacy-coverage', '~> 1.1'
  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 12.3"
  spec.add_development_dependency "minitest", "~> 5.0"
end
